Page MenuHomePhabricator

Make workboard column editable from task page
Closed, ResolvedPublic

Description

Report upstream: https://secure.phabricator.com/T6027

The task page mentions the workboard status for each project of the task, and the status names link to the respective workboards, but the only way to change them is to go to the workboard and drag&drop. It would be nice if there was an edit link to just change the status on the task page (especially given the general clumsiness of the workboard UI).

Event Timeline

Tgr created this task.Dec 5 2014, 12:31 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: Phabricator (Upstream).
Tgr changed Security from none to None.
Tgr added a subscriber: Tgr.
Qgil triaged this task as Lowest priority.Dec 5 2014, 7:50 AM
Qgil updated the task description. (Show Details)
Qgil moved this task from Backlog to Wikimedia requests on the Phabricator (Upstream) board.

@Aklapper has super powers and reads minds. Thanks for adding me.

It seems to me that it has been dismissed :( It would definitely be awesome to edit it from the task page, since it is an action that I'm doing 10s of times per day, and I suspect I'm not the only one.

See trello's workflow for this:

There is no need to copy, but a simple modal with 3 select boxes for board/column/position (even the position doesn't matter) would go a loooong way on usability.

Tgr added a comment.Mar 12 2015, 3:53 AM

The UI seems fairly easy to do locally (or as a browser plugin, even). The real blocker is upstream's T5214.

Aklapper raised the priority of this task from Lowest to Medium.Apr 6 2016, 9:22 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 5:26 PM
Aklapper closed this task as Resolved.May 23 2016, 5:27 PM
Aklapper claimed this task.

The "Actions" dropdown at the bottom of the task view now offers the item "Move on Workboard".

Only one workboard at a time though

Better than nothing, definitely.